SenseCrypt Docs
API ReferenceScim

Provision a user (SCIM 2.0)

POST/v1/idp/scim/v2/Users

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

attributes?string|null
excludedAttributes?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

A SCIM User create/replace body. Only the fields we map are typed; the rest (enterprise extension, photos, etc.) are tolerated via extra.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/idp/scim/v2/Users" \  -H "Content-Type: application/json" \  -d '{    "active": true,    "displayName": "John Doe",    "emails": [      {        "primary": true,        "type": "work",        "value": "jdoe@corp.com"      }    ],    "externalId": "ext-8a1f",    "name": {      "familyName": "Doe",      "formatted": "John Doe",      "givenName": "John"    },    "schemas": [      "urn:ietf:params:scim:schemas:core:2.0:User",      "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"    ],    "userName": "jdoe"  }'
{  "schemas": [    "urn:ietf:params:scim:schemas:core:2.0:User"  ],  "id": "2819c223-7f76-453a-919d-413861904646",  "userName": "jdoe",  "active": true,  "externalId": "ext-8a1f",  "displayName": "John Doe",  "name": {    "formatted": "John Doe"  },  "emails": [    {      "value": "jdoe@corp.com",      "primary": true,      "type": "work"    }  ],  "meta": {    "resourceType": "User",    "created": "2026-06-10T22:05:00+00:00",    "lastModified": "2026-06-10T22:05:00+00:00",    "version": "W/\"a1b2c3d4e5f60718\"",    "location": "https://acme.example.com/v1/idp/scim/v2/Users/2819c223-7f76-453a-919d-413861904646"  }}
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:Error"  ],  "status": "400",  "detail": "a required field is missing",  "scimType": "invalidValue"}
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:Error"  ],  "status": "409",  "detail": "userName already exists",  "scimType": "uniqueness"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}